Add "EXTRA NOTIFICATION DESTINY" in Issues Statuses
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

There are several related request, and they have not been solved, but maybe this idea could be accepted:

In the Issue Statuses model an "extra notification target" (or similar) column is added. This value can be included a user or a

group. Then, this new destiny will be added to the distribution list when an issue arrives to that status

The notification's workflow remains the same (creator, assignee, watchers...) and in addition, this extra notification is added to

the distribution list

A better approach would be to include this setting in "project level" instead than a general way, but it looks harder codification.

(Maybe, at project settings could be selected if "use extra notification" or not).

Related issues:

Is duplicate of Redmine - Feature #1707: Sending e-mail to roles involved on ... New 2008-07-29

History

#1 - 2016-06-02 22:01 - Alfredo Bonilla

Alfredo Bonilla wrote:

There are several related request, and they have not been solved, but maybe this idea could be accepted:

In the Issue Statuses model an "extra notification target" (or similar) column is added. This value can be included a user or a group. Then,

this new destiny will be added to the distribution list when an issue arrives to that status

The notification's workflow remains the same (creator, assignee, watchers...) and in addition, this extra notification is added to the

distribution list

A better approach would be to include this setting in "project level" instead than a general way, but it looks harder codification. (Maybe, at project

settings could be selected if "use extra notification" or not).

 Refining the though:

The new issues_status_actions table would allow to define for each project the EXTRA NOTIFICATION USER/GROUP and the ASSIGNEE => this

solution allows to adapt in every project settings, to a very tipical situation where being different teams working together, request this kind of dynamic

assigning and emailing...

#2 - 2017-12-07 02:59 - Go MAEDA

- Is duplicate of Feature #1707: Sending e-mail to roles involved on status changed. added

#3 - 2017-12-07 02:59 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a duplicate of #1707.
